ghc-7.6.3: The GHC API

Safe Haskell | None

PPC.CodeGen

Synopsis

- cmmTopCodeGen :: RawCmmDecl -> NatM [NatCmmDecl CmmStatics Instr]
- generateJumpTableForInstr :: Instr -> Maybe (NatCmmDecl CmmStatics Instr)
- type InstrBlock = OrdList Instr

# Documentation

cmmTopCodeGen :: RawCmmDecl -> NatM [NatCmmDecl CmmStatics Instr]

`InstrBlock`s are the insn sequences generated by the insn selectors. They are really trees of insns to facilitate fast appending, where a left-to-right traversal (pre-order?) yields the insns in the correct order.

generateJumpTableForInstr :: Instr -> Maybe (NatCmmDecl CmmStatics Instr)

type InstrBlock = OrdList Instr

`InstrBlock`s are the insn sequences generated by the insn selectors. They are really trees of insns to facilitate fast appending, where a left-to-right traversal yields the insns in the correct order.